Bug 63990 - DMA errors on Compaq Armada E500 cause file system corruption and data loss
Summary: DMA errors on Compaq Armada E500 cause file system corruption and data loss
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-23 11:08 UTC by Nat Pryce
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nat Pryce 2002-04-23 11:08:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
The default install of RH7.2 on a Compaq Armada E500 notebook (model number AE5 
P3900T4X20DC12N2T) does not work with the machine's IDE disk controller.  This 
results in file system corruption and data loss.  This issue can be fixed by 
passing the ide=nodma option to the kernel at boot time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Nothing special, beyond installation.

Actual Results:  After a while programs start to crash when launched or paging 
to/from disk.  Changes to the file system will disappear.  The ext3 filesystem 
will be corrupt when the system restarts.  Invalid files will be appear in the 
filesystem that cannot be rm'd by root.

Disk errors are logged to /var/log/messages, but not reliably because the 
filesystem is failing.


Expected Results:  None of the above.  The installer should detect the IDE 
controller and configure the boot loader to pass the ide=nodma option to the 
kernel.

Additional info:

Passing ide=nodma to the kernel at boot time fixes the problem.

Comment 1 Bugzilla owner 2004-09-30 15:39:31 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.